Update
PUT/teams/{teamId}/watermark
Create or update the team’s forced watermark configuration
Body ParametersJSON
enabled: boolean
Whether the watermark is enforced on assets generated in this scope. A disabled project configuration falls back to its team’s.
rotation: optional number
Mark rotation in degrees. 0 is horizontal, negative tilts it up.
maximum90
minimum-90
Update
curl https://api.cloud.scenario.com/v1/teams/$TEAM_ID/watermark \
-X PUT \
-H 'Content-Type: application/json' \
-u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
-d '{
"enabled": true
}'{
"watermark": {
"id": "id",
"createdAt": "createdAt",
"createdBy": "createdBy",
"enabled": true,
"level": "project",
"opacity": 0,
"placement": "bottom-left",
"rotation": 0,
"scale": 0,
"scopeId": "scopeId",
"spacing": 0,
"updatedAt": "updatedAt",
"version": 0,
"deletedAt": "deletedAt",
"logoIsOpaque": true,
"logoKey": "logoKey",
"text": "text"
}
}Returns Examples
{
"watermark": {
"id": "id",
"createdAt": "createdAt",
"createdBy": "createdBy",
"enabled": true,
"level": "project",
"opacity": 0,
"placement": "bottom-left",
"rotation": 0,
"scale": 0,
"scopeId": "scopeId",
"spacing": 0,
"updatedAt": "updatedAt",
"version": 0,
"deletedAt": "deletedAt",
"logoIsOpaque": true,
"logoKey": "logoKey",
"text": "text"
}
}